MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021494Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2009-11-27 11:122018-11-04 14:08
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version 
Summary0021494: Intersection between cone and sphere fails
DescriptionSee Steps To Reproduce.
Steps To Reproducepcone c 15 0 10
psphere s 10
explode c f
explode s f
mksurface sc c_1
mksurface ss s_1

intersect i sc ss
# there is not an intersection curve, but it must be.
TagsNo tags attached.
Test case numberlowalgos/intss/bug21494_1, lowalgos/intss/bug21494_2
Attached Files

- Relationships

-  Notes
(0056387)
bugmaster (administrator)
2016-08-02 16:10
edited on: 2016-08-08 14:59

Problem is reproduced on current status of master

(0056554)
msv (developer)
2016-08-08 15:27

Please process it if time.
(0071356)
mkv (tester)
2017-10-11 17:27

Problem is reproduced on the current master.
(0080470)
git (administrator)
2018-10-29 16:53

Branch CR21494 has been created by nbv.

SHA-1: 8a6aa5a6e810337c8dc923ef65dfd5ea57c7a499


Detailed log of new commits:

Author: nbv
Date: Mon Oct 29 13:34:21 2018 +0300

    0021494: Intersection between cone and sphere fails
    
    Excess check has been removed.
(0080524)
git (administrator)
2018-10-30 13:02

Branch CR21494 has been updated forcibly by nbv.

SHA-1: dca7526fc2c45aa6d5c453895f6da0f0d50224b8
(0080534)
nbv (developer)
2018-10-30 16:30

Dear Mikhail,

Please review CR21494 branch.

Test results are here: http://jenkins-test-12.nnov.opencascade.com/view/CR21494-master_NBV/ [^]
(0080604)
msv (developer)
2018-11-02 09:18

Commit message is unclear. Please provide more extended explanation.

The proc CheckIntersectionResult is defined two times in begin and in the test script.

It is better to accept parameter theListOfCurves by value then by name. And upvar will not be needed for it.
(0080606)
git (administrator)
2018-11-02 10:02

Branch CR21494 has been updated forcibly by nbv.

SHA-1: fb1ffbbdee85e43ebfcee8ce4db945d59e5c49f6
(0080607)
nbv (developer)
2018-11-02 10:12

Dear Mikhail,

Please review the current state of the branch CR21494.

Test results are here:

Linux: http://jenkins-test-12.nnov.opencascade.com/view/CR21494-master_NBV/view/TESTING/job/CR21494-master_NBV-OCCT-Debian80-64-opt-test-restart/HTML_20Report/ [^]

Windows: http://jenkins-test-12.nnov.opencascade.com/view/CR21494-master_NBV/view/TESTING/job/CR21494-master_NBV-OCCT-Windows-64-VC14-opt-test-restart/HTML_20Report/ [^]
(0080608)
msv (developer)
2018-11-02 10:20

Reviewed.
(0080610)
bugmaster (administrator)
2018-11-02 10:39

Combination -
OCCT branch : CR21494 SHA - dca7526fc2c45aa6d5c453895f6da0f0d50224b8
Products branch : master SHA - f90365d1cbaa92c18e4afe4cd329ae8c8fd6cbc0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16420.54000000047 / 16441.770000000477 [-0.13%]
Products
Total CPU difference: 7069.500000000021 / 7071.160000000031 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 17796.625 / 17785.90625 [+0.06%]
Products
Total CPU difference: 8533.640625 / 8535.15625 [-0.02%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0080690)
git (administrator)
2018-11-04 14:08

Branch CR21494 has been deleted by inv.

SHA-1: fb1ffbbdee85e43ebfcee8ce4db945d59e5c49f6

- Related Changesets
occt: master 9bc5f585
Timestamp: 2018-10-29 10:34:21
Author: nbv
Committer: bugmaster
Details ] Diff ]
0021494: Intersection between cone and sphere fails

The condition (workaround), which forbid to return the intersection curve, has been removed.
mod - src/IntPatch/IntPatch_ImpImpIntersection_5.gxx Diff ] File ]
mod - tests/lowalgos/intss/begin Diff ] File ]
rm - tests/lowalgos/intss/bug21494 Diff ] File ]
add - tests/lowalgos/intss/bug21494_1 Diff ] File ]
add - tests/lowalgos/intss/bug21494_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2016-08-02 16:10 bugmaster Note Added: 0056387
2016-08-02 16:10 bugmaster Status new => feedback
2016-08-08 14:59 bugmaster Note Edited: 0056387 View Revisions
2016-08-08 14:59 bugmaster Assigned To bugmaster => msv
2016-08-08 14:59 bugmaster Status feedback => assigned
2016-08-08 15:27 msv Note Added: 0056554
2016-08-08 15:27 msv Assigned To msv => nbv
2016-08-08 15:27 msv Fixed in Version EMPTY =>
2016-08-08 15:27 msv Description Updated View Revisions
2017-10-11 17:27 mkv Test case number => bugs modalg_7 bug21494
2017-10-11 17:27 mkv Note Added: 0071356
2018-10-29 16:53 git Note Added: 0080470
2018-10-30 13:02 git Note Added: 0080524
2018-10-30 16:30 nbv Note Added: 0080534
2018-10-30 16:30 nbv Assigned To nbv => msv
2018-10-30 16:30 nbv Status assigned => resolved
2018-10-30 16:30 nbv Steps to Reproduce Updated View Revisions
2018-10-30 16:31 nbv Description Updated View Revisions
2018-11-02 09:18 msv Note Added: 0080604
2018-11-02 09:19 msv Assigned To msv => nbv
2018-11-02 09:19 msv Status resolved => assigned
2018-11-02 10:02 git Note Added: 0080606
2018-11-02 10:12 nbv Note Added: 0080607
2018-11-02 10:12 nbv Assigned To nbv => msv
2018-11-02 10:12 nbv Status assigned => resolved
2018-11-02 10:20 msv Note Added: 0080608
2018-11-02 10:20 msv Assigned To msv => bugmaster
2018-11-02 10:20 msv Status resolved => reviewed
2018-11-02 10:39 bugmaster Note Added: 0080610
2018-11-02 10:39 bugmaster Status reviewed => tested
2018-11-02 10:40 bugmaster Test case number bugs modalg_7 bug21494 => lowalgos/intss/bug21494_1, lowalgos/intss/bug21494_2
2018-11-04 13:01 bugmaster Changeset attached => occt master 9bc5f585
2018-11-04 13:01 bugmaster Status tested => verified
2018-11-04 13:01 bugmaster Resolution open => fixed
2018-11-04 14:08 git Note Added: 0080690


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker